Bug 523944 - SELinux is preventing smbd (smbd_t) "signal" winbind_t.
Summary: SELinux is preventing smbd (smbd_t) "signal" winbind_t.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 11
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 10:14 UTC by John Freed
Modified: 2010-04-28 11:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 497608
Environment:
Last Closed: 2010-04-28 11:42:51 UTC


Attachments (Terms of Use)
setroubleshoot log (2.46 KB, text/plain)
2009-09-17 10:14 UTC, John Freed
no flags Details

Description John Freed 2009-09-17 10:14:55 UTC
Created attachment 361474 [details]
setroubleshoot log

+++ This bug was initially created as a clone of Bug #497608 +++

Description of problem: Errors in setroubleshoot on samba access 


Version-Release number of selected component (if applicable): 3.6.12-80.fc11.noarch

How reproducible: Sharing NTFS mounts on samba with user security. "wins proxy" is set to "yes" in smb.conf


Steps to Reproduce:
1. Access Samba share from Windows computer
2. See setroubleshoot log
  
Actual results:
Selinux alert

Expected results:
No alert

Comment 1 Daniel Walsh 2009-09-17 18:04:33 UTC
Miroslav add

allow smbd_t smbcontrol_t:process { signal signull };

Comment 2 Miroslav Grepl 2009-09-22 18:10:25 UTC
Fixed in selinux-policy-3.6.12-84.fc11

Comment 3 epicoponte 2009-09-23 20:26:58 UTC
 SELinux is preventing smbd (smbd_t) "signal" winbind_t.  

Just got the above message.  It requested that I file a bug report.

How do I get and install "selinux-policy-3.6.12-84.fc11", which fixes it ?

I am new to Linux.  Tried obtaining it from repository packages, but only found up to  3.6.12.82.  Thanks.

Comment 4 John Freed 2009-09-23 21:08:55 UTC
Fedora uses a system called Bodhi that has the latest of everything; however, I don't see version 84 yet, just 83.

I bookmark it:

https://admin.fedoraproject.org/updates

Comment 5 Miroslav Grepl 2009-09-24 09:12:25 UTC
If you don't want to wait to update, you can use Koji for download 

selinux-policy-3.6.12-84.fc11.noarch.rpm
selinux-policy-targeted-3.6.12-84.fc11.noarch.rpm

packages from following links

http://kojipkgs.fedoraproject.org/packages/selinux-policy/3.6.12/84.fc11/noarch/selinux-policy-3.6.12-84.fc11.noarch.rpm

http://kojipkgs.fedoraproject.org/packages/selinux-policy/3.6.12/84.fc11/noarch/selinux-policy-targeted-3.6.12-84.fc11.noarch.rpm


and then install them using

# su -c 'rpm -Uvh selinux-policy\*'

Comment 6 Bug Zapper 2010-04-28 10:26:11 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.